summaryrefslogtreecommitdiffstats
path: root/test/lots_of_commits.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/lots_of_commits.sh')
-rwxr-xr-xtest/lots_of_commits.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/lots_of_commits.sh b/test/lots_of_commits.sh
new file mode 100755
index 000000000..d85034f4e
--- /dev/null
+++ b/test/lots_of_commits.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# this script makes a repo with lots of commits
+
+# call this command from the test directory:
+# ./lots_of_commits.sh; cd testrepo; gg; cd ..
+
+# -e means exit if something fails
+# -x means print out simple commands before running them
+set -ex
+
+reponame="testrepo"
+
+rm -rf ${reponame}
+mkdir ${reponame}
+cd ${reponame}
+
+git init
+
+i=2
+end=100
+while [ $i -le $end ]; do
+ echo "file${i}" > file${i}
+ git add file${i}
+ git commit -m file${i}
+
+ i=$(($i+1))
+done